| Streamaxia Open SDK 3.2

List of all members
AXStreamaxiaSDK Class Reference

`#import <AXStreamaxiaSDK.h>`

Inheritance diagram for AXStreamaxiaSDK:

## Instance Methods
Public methods
(void) | - setupSDKWithCompletion:
(void) | - setupSDKWithURL:withCompletion:
(BOOL) | - providesFeature:
(NSSet< NSNumber * > *) | - getAvailableFeatures
(void) | - debugPrintSDKStatus

## Class Methods
Lifecycle
(instancetype) | + sharedInstance

## Properties
Properties
BOOL | isConfiguredProperly
AXLicenceInfo * | licence
AXSDKVersion * | version

## Detailed Description

The Streamer SDK. It is the main object for the StreamaxiaSDK and wraps up the initialization and configuration of the SDK.

In order to use the Streamer SDK, grab the AXStreamaxiaSDK singleton instance, and then setup the SDK using one of the provided setup methods (default configuration or configuration from a custom URL). Make sure that the .config and .key files are either added in the main bundle, or are present as a custom bundle. If the latter, then the custom bundle's URL should be used as the custom URL.

The status of the SDK can pe checked using -debugPrintSDKStatus, in order to investigate faulty initizations. It also provides info about the expiration date of the licence, the features and the list of valid bundle IDs that can be used with the current configuration, if any.

    SDK Features ***

The SDK may provide certain features and can be checked if they are available using the -getAvailableFeatures method. If a feature is not available, calling the subsequent related APIs will have no effect and will also generate some warnings in the console.

    Trial Versions and Limited time licences ***

The SDK may be a trial version or it may have a limited time licence. You may check if the licence has expired by using the -hasExpired property.

    Bundle ID lock ***

The SDK may be configured to work only for certain bundle IDs. You may check if the current bundle ID is valid to be used with the SDK by using the -hasValidBundleID property.

## Method Documentation

## ◆ debugPrintSDKStatus()

- (void) debugPrintSDKStatus |  |  |

Print the Streamer SDK status. Use this for debug, to see details regarding expiration dates, locked bundles, available features. Here will be displayed also if the SDK was successfully loaded.

## ◆ getAvailableFeatures()

- (NSSet<NSNumber *> *) getAvailableFeatures |  |  |

Get the available features. The features will be returned as a set of AXSDKFeature (boxed as NSNumber).

Returns
  The set of available features.

## ◆ providesFeature:()

- (BOOL) providesFeature: |  | (AXSDKFeature) | feature |

Check if a certain feature is provided by the current SDK configuration.

Parameters

  feature | The SDK feature.

Returns
  YES if the feature is available, NO otherwise.

## ◆ setupSDKWithCompletion:()

- (void) setupSDKWithCompletion: |  | (void(^)(BOOL success, AXError *error)) | completionBlock |

Setups StreamaxiaSDK with the default configuration. The configuration and licence key will be searched in the main bundle.

The completion block is called when the SDK has finished loading the configuration. Another option to monitor the completion is to listen for the kAXSDKDidLoadConfigNotification notification.

Parameters

  completionBlock | The completion block.

## ◆ setupSDKWithURL:withCompletion:()

- (void) setupSDKWithURL: |  | (NSURL *) | url
withCompletion: |  | (void(^)(BOOL success, AXError *error)) | completionBlock

Setups StreamaxiaSDK, with a custom URL. The configuration and licence key will be searched at the given URL.

The completion block is called when the SDK has finished loading the configuration. Another option to monitor the completion is to listen for the kAXSDKDidLoadConfigNotification notification.

Parameters

  url | The custom url.
  completionBlock | The completion block.

## ◆ sharedInstance()

+ (instancetype) sharedInstance |  |  |

The shared instance of this singleton object.

Make sure that the setupSDK or setupSDKWithURL: is called before using the SDK.

Returns
  The initialized object.

## Property Documentation

## ◆ isConfiguredProperly

- (BOOL) isConfiguredProperly
| read nonatomic assign

Returns YES if the SDK is properly configured. This means that the config and the licence key were both valid. If this is NO, then make sure that you are using a valid certificate and licence key. Also make sure that the certificate and licence key are present at the URL that was used to setup the StreamaxiaSDK.

This property returns NO if the SDK was not yet configured.

## ◆ licence

- (AXLicenceInfo*) licence
| read nonatomic strong

The licence info. Use this to check if the bundle id is valid, or licence is expired.

## ◆ version

- (AXSDKVersion*) version
| read nonatomic strong

Returns the SDK version.

The documentation for this class was generated from the following file:

- /Users/mac/Documents/StreamaxiaSDK/Streamaxia Open SDK/StreamaxiaSDK.framework/Headers/AXStreamaxiaSDK.h